This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 144662 - Unable to select audio output device
Unable to select audio output device
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-10 09:16 EST by jeroen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-02 02:48:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
modprobe.conf (486 bytes, text/plain)
2005-04-08 04:18 EDT, jeroen
no flags Details

  None (edit)
Description jeroen 2005-01-10 09:16:06 EST
I recently figured out how to get my onboard soundcard to output audio
via S/PDIF (IEC958): i had to edit /etc/alsa/alsa.conf and change the
defaults.pcm.device value from 0 to 2. That value matches the 2nd
audio playback device from /proc/asound/devices. I only found out
about this after googling quite a bit. This seems like something that
should be GUI'ized ;)

I'm not sure if you can get readable device names for a combobox
though.  On my laptop i have this for example:

$ cat /proc/asound/card0/pcm4p/info
card: 0
device: 4
subdevice: 0
stream: PLAYBACK
id: Intel ICH - IEC958
name: Intel 82801DB-ICH4 - IEC958
subname: subdevice #0
class: 0
subclass: 0
subdevices_count: 1
subdevices_avail: 1

Which is the S/PDIF output device, but you don't want users to see
"Intel 82801DB-ICH4 - IEC958" obviously...
Comment 1 Bastien Nocera 2005-04-02 12:18:14 EST
Could you please attach the output of "kudzu -p -c audio" as well as your
/etc/modprobe.conf?
Comment 2 jeroen 2005-04-08 04:18:06 EDT
[root@anduril ~]# kudzu -p -c audio
-
class: AUDIO
bus: PCI
detached: 0
driver: snd-intel8x0
desc: "nVidia Corporation nForce3 250Gb AC'97 Audio Controller"
vendorId: 10de
deviceId: 00ea
subVendorId: 1462
subDeviceId: 7585
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  6
pcifn:  0
Comment 3 jeroen 2005-04-08 04:18:31 EDT
Created attachment 112849 [details]
modprobe.conf
Comment 4 jeroen 2005-08-02 04:24:19 EDT
How was this fixed in rawhide?
Comment 5 Martin Stransky 2005-08-16 07:26:19 EDT
rawhide is here:

http://download.fedora.redhat.com/pub/fedora/linux/core/development/

I've added a new combo for it.

Note You need to log in before you can comment on or make changes to this bug.